eagle-usb (2.0.1-2) experimental; urgency=low

  * Fix postinst of eagle-usb-modules

 -- Cyril Martin <mcoolive@free.fr>  Thu, 30 Dec 2004 17:53:59 +0100

eagle-usb (2.0.1-1) experimental; urgency=low

  * Add japan translation file (Closes: #281983)
  * New upstream pre-release
    - FHS compliance
    - POSIX compliance

 -- Cyril Martin <mcoolive@free.fr>  Sun, 21 Nov 2004 15:34:59 +0100

eagle-usb (2.0.0-1) experimental; urgency=low

  * Add new ISP
  * Use overrides to mute lintian (Closes: #265866)
  * Add pppoe in dependencies (Closes: #274041)
  * New upstream pre-release
    - Add option update_dns? for ppp connection
    - Module works with amd64
    - New BNM files for E2L and E2T modems (backward-compatibility)
    - New value for OPTNxx and CMVs

 -- Cyril Martin <mcoolive@free.fr>  Sun, 26 Sep 2004 23:35:09 +0200

eagle-usb (1.9.9-2) experimental; urgency=low

  * Fix ./configure: hotplug script was missing (Closes: #269258)
  * Remove unused /etc/modutils/eagle-usb configuration file (thk J-P Pourrez)
  * Correct the debconf questionnaire and its french translation
  * New DSP codes.

 -- Cyril Martin <mcoolive@free.fr>  Sun, 5 Sep 2004 15:45:17 +0200

eagle-usb (1.9.9-1) unstable; urgency=medium

  * New upstream pre-release
  * eagle-usb-utils depends on module-init-tools | modutils
  * Fix the writing of modutils config files (Closes: #269242)
  * Fix postrm script

 -- Cyril Martin <mcoolive@free.fr>  Mon, 29 Aug 2004 01:48:17 +0200

eagle-usb (1.9.8+cvs20040822-1) experimental; urgency=low

  * New upstream pre-release
  * Fix maintainer scripts (Closes: #266969)
  * Add --nonet and --catalogs options to xsltproc
  * Add Build-Depends on net-tools and docbook-xml

 -- Pierre Machard <pmachard@debian.org>  Sun, 22 Aug 2004 23:00:04 +0200

eagle-usb (1.9.8+cvs20040806-1) unstable; urgency=low

  * New upstream pre-release
  * Add eagleconfig in package and use it in postinstallation
  * Man pages are rewritten.

 -- Cyril Martin <mcoolive@free.fr>  Sun, 1 Aug 2004 20:27:09 +0200

eagle-usb (1.9.8-3) unstable; urgency=low

  * Add ISP in configuration
  * Fix init.d/eagle-usb: don't write "success" when connection failed.
  * Fix postinstallation of eagle-usb-utils (thank to Nicolas GRAZIANO)

 -- Cyril Martin <mcoolive@free.fr>  Fri, 16 Jul 2004 01:27:49 +0200

eagle-usb (1.9.8-2) unstable; urgency=low

  * Fix postinstallation of eagle-usb-utils (thank to Nicolas GRAZIANO)

 -- Cyril Martin <mcoolive@free.fr>  Thu, 3 Jul 2004 10:40:30 +0200

eagle-usb (1.9.8-1) unstable; urgency=low

  * New upstream pre-release.
  * Fix incomplete purge
  * eagle-usb module depends on ppp_async module for the users of ppp

 -- Cyril Martin <mcoolive@free.fr>  Mon, 16 Jun 2004 10:40:30 +0200

eagle-usb (1.9.6.99-1) unstable; urgency=low

  * New upstream pre-release.
  * Fix ppp configuration (thank to Farfadet)
  * Fix french translation (thank to Martin Braure)

 -- Cyril Martin <mcoolive@free.fr>  Mon, 15 May 2004 10:40:30 +0200

eagle-usb (1.9.6-3) unstable; urgency=low

  * Fix incomplete translation
  * Fix postinstallation to remove lintian's warnings
  * Add Build-Depends on xsltproc

 -- Cyril Martin <mcoolive@free.fr>  Mon, 28 Apr 2004 10:40:30 +0200

eagle-usb (1.9.6-2) unstable; urgency=low

  * Packages are renamed eagle-usb.
  * Recreate configuration scripts (and french Translation)
  * Add man pages

 -- Cyril Martin <mcoolive@free.fr>  Mon, 22 Jan 2004 03:11:30 +0100

eagle-adsl (1.9.6-1) unstable; urgency=low

  * New upstream pre-release.
  * This release supports Linux kernel 2.6.
  * Add man pages.
  * Fixed build-depends
  * eagle-adsl-tools now no longer depends on ppp but only
    recommends it. Many people needn't ppp to be connected.
    Documented the change in README.Debian.

 -- Cyril Martin <mcoolive@free.fr>  Mon, 22 Jan 2004 03:11:30 +0100

eagle-adsl (1.0.4-13) unstable; urgency=low

  * Fixed compilation from source, many thanks to John Hasler
    <john@dhh.gt.org> for the patch (closes: #223147).
  * While I'm at it, also increased the sleep time in the adsl.daemon
    script (closes: #215361).

 -- Roland Mas <lolando@debian.org>  Mon, 22 Dec 2003 21:42:18 +0100

eagle-adsl (1.0.4-12) unstable; urgency=low

  * Fixed startadsl and stopadsl again.  The pid-file created by pppd
    contains more than just its PID.

 -- Roland Mas <lolando@debian.org>  Wed,  1 Oct 2003 23:43:29 +0200

eagle-adsl (1.0.4-11) unstable; urgency=low

  * Fixed bashisms in adsl.daemon and related scripts (closes: #213258).
  * Fixed the way startadsl and stopadsl scripts handle killing of PPP
    daemons (closes: #212748).

 -- Roland Mas <lolando@debian.org>  Mon, 29 Sep 2003 17:42:19 +0200

eagle-adsl (1.0.4-10) unstable; urgency=low

  * Migrated to module-assistant, patch from Eduard Bloch
    <blade@debian.org>.  Updated README.Debian to reflect that change.
    This should fix compilation problems (closes: #211375).
  * Added USB vendor/product IDs for the Sagem Fast 800 PE sub-model
    (closes: #209368).
  * Bumped Standards-Version: to 3.6.1 (no changes needed).

 -- Roland Mas <lolando@debian.org>  Mon, 29 Sep 2003 14:36:56 +0200

eagle-adsl (1.0.4-9) unstable; urgency=low

  * Fixed bashisms in eagle-adsl-tools.postinst (closes: #210326).

 -- Roland Mas <lolando@debian.org>  Thu, 11 Sep 2003 21:32:17 +0200

eagle-adsl (1.0.4-8) unstable; urgency=low

  * Added a "binary-modules" target, which is an alias to the
    "binary_modules" target.  It seems some packages are providing one and
    some are providing the other.  Providing both should make everybody
    happy.

 -- Roland Mas <lolando@debian.org>  Wed,  3 Sep 2003 21:35:48 +0200

eagle-adsl (1.0.4-7) unstable; urgency=low

  * eagle-adsl-modules-src now Depends: on debhelper too, so that it can
    be built (closes: #208489).

 -- Roland Mas <lolando@debian.org>  Wed,  3 Sep 2003 20:46:35 +0200

eagle-adsl (1.0.4-6) unstable; urgency=low

  * Bumped Standards-Version: to 3.6.0 (yeah, I know, but I like to see an
    empty Todo list on the PTS).

 -- Roland Mas <lolando@debian.org>  Fri, 25 Jul 2003 23:29:49 +0200

eagle-adsl (1.0.4-5) unstable; urgency=low

  * The "forget my own head next" release.
  * Really switched to Architecture: any this time.

 -- Roland Mas <lolando@debian.org>  Fri, 25 Jul 2003 23:15:01 +0200

eagle-adsl (1.0.4-4) unstable; urgency=low

  * Fixed description of eagle-adsl-data (which no longer contains the
    firmware). 
  * Switched to Architecture: any (closes: #200806).
  * eagle-adsl-tools now no longer depends on eagle-adsl-modules but only
    recommends it.  This should allow people to use their own
    hand-compiled kernels.  Documented the change in README.Debian.
  * Updated Debconf templates for better phrasing of boolean questions.
    Patch from Christian Perrier <bubulle@debian.org> applied almost
    as-is, many thanks to him (closes: #201284).
  * Bumped Standards-Version: to 3.6, no changes necessary.

 -- Roland Mas <lolando@debian.org>  Wed, 23 Jul 2003 20:31:38 +0200

eagle-adsl (1.0.4-3) unstable; urgency=low

  * Bumped Standards-Version: to 3.5.10, no changes necessary.
  * First upload to Debian unstable (closes: #184605).

 -- Roland Mas <lolando@debian.org>  Sat, 28 Jun 2003 22:40:18 +0200

eagle-adsl (1.0.4-2) unstable; urgency=low

  * New upstream release.  Previous 1.0.4-1 packages were in fact still
    based on 1.0.3.99+4.  My bad.
  * This release has the new Firmware8051.h file, which includes the
    license clarification.  That's cool, as it allows me to upload the
    package to Debian unstable.

 -- Roland Mas <lolando@debian.org>  Fri, 27 Jun 2003 22:40:56 +0200

eagle-adsl (1.0.3.99+4pre6-2) unstable; urgency=low

  * Generated eagle-adsl-modules-* package now Depends: on the appropriate
    kernel-image-*.
  * Removed useless (and broken) call to debian/genchanges.sh in same
    package's debian/rules.

 -- Roland Mas <lolando@debian.org>  Fri, 27 Jun 2003 22:19:39 +0200

eagle-adsl (1.0.3.99+4pre6-1) unstable; urgency=low

  * New upstream pre-release.

 -- Roland Mas <lolando@debian.org>  Sun, 15 Jun 2003 18:18:51 +0200

eagle-adsl (1.0.3.99+4pre5-2) unstable; urgency=low

  * Included patch from Stephen Kitt <steve@sk2.org>:
    * Use a PPP peer, not a PPP options file.
    * Allow dip users to initiate a connection.
  * Architecture is not restricted to i386, powerpc, alpha, mips, mipsel.
    Please complain if you have some other arch that could use this
    package.

 -- Roland Mas <lolando@debian.org>  Sun, 25 May 2003 00:11:57 +0200

eagle-adsl (1.0.3.99+4pre5-1) unstable; urgency=low

  * New upstream pre-release.

 -- Roland Mas <lolando@debian.org>  Tue, 29 Apr 2003 22:49:34 +0200

eagle-adsl (1.0.3.99+4pre2-4) unstable; urgency=low

  * Again in adsl.daemon: reload DSP code to modem when the connection
    gets dropped, to work around the "stuck in booting state" problem.
  * Slight update in debian/copyright.

 -- Roland Mas <lolando@debian.org>  Sun,  6 Apr 2003 18:47:41 +0200

eagle-adsl (1.0.3.99+4pre2-3) unstable; urgency=low

  * Still in adsl.daemon: reload DSP code to modem when we can't seem to
    get its status.

 -- Roland Mas <lolando@debian.org>  Sat,  5 Apr 2003 15:02:30 +0200

eagle-adsl (1.0.3.99+4pre2-2) unstable; urgency=low

  * Fixed yet another thinko in adsl.daemon.

 -- Roland Mas <lolando@debian.org>  Sat,  5 Apr 2003 12:27:14 +0200

eagle-adsl (1.0.3.99+4pre2-1) unstable; urgency=low

  * New upstream pre-release.

 -- Roland Mas <lolando@debian.org>  Tue,  1 Apr 2003 23:27:09 +0200

eagle-adsl (1.0.3.99+4pre1-5) unstable; urgency=low

  * Fixed a few other bugs in adsl.daemon script.

 -- Roland Mas <lolando@debian.org>  Thu, 27 Mar 2003 22:59:02 +0100

eagle-adsl (1.0.3.99+4pre1-4) unstable; urgency=low

  * Fixed a "[: -gt: unary operator expected" bug in adsl.daemon script.

 -- Roland Mas <lolando@debian.org>  Thu, 27 Mar 2003 22:25:38 +0100

eagle-adsl (1.0.3.99+4pre1-3) unstable; urgency=low

  * Fixed Build-Depends to include po-debconf and a stricter dependency on
    debhelper.

 -- Roland Mas <lolando@debian.org>  Thu, 27 Mar 2003 22:14:00 +0100

eagle-adsl (1.0.3.99+4pre1-2) unstable; urgency=low

  * Fixed invocation of ifconfig in adsl.daemon.

 -- Roland Mas <lolando@debian.org>  Thu, 27 Mar 2003 21:48:04 +0100

eagle-adsl (1.0.3.99+4pre1-1) unstable; urgency=low

  * New upstream pre-release.
  * Changed name of the kernel source package from kernel-patch-eagle-adsl
    to eagle-adsl-modules-src.

 -- Roland Mas <lolando@debian.org>  Thu, 27 Mar 2003 14:16:20 +0100

eagle-adsl (1.0.3-8) unstable; urgency=low

  * Fixed a compilation option that broke on PPC.

 -- Roland Mas <lolando@debian.org>  Thu, 27 Mar 2003 12:30:54 +0100

eagle-adsl (1.0.3-7) unstable; urgency=low

  * Fixed Depends for eagle-adsl-tools (${shlibs:Depends} was missing).

 -- Roland Mas <lolando@debian.org>  Sat, 15 Mar 2003 18:05:40 +0100

eagle-adsl (1.0.3-6) unstable; urgency=low

  * Fixed the way the number of reconnections is calculated in
    adsl.daemon.  This should prevent the daemon from giving up while
    there's no need for it.

 -- Roland Mas <lolando@debian.org>  Fri, 14 Mar 2003 12:03:46 +0100

eagle-adsl (1.0.3-5) unstable; urgency=low

  * Converted to po-debconf.
  * Removed the limit in the number of reconnections in adsl.daemon.
  * Fixed copyright file to include a link to the GPL text.

 -- Roland Mas <lolando@debian.org>  Thu, 13 Mar 2003 16:41:48 +0100

eagle-adsl (1.0.3-4) unstable; urgency=low

  * Fixed Debconf "template type" bug.

 -- Roland Mas <lolando@debian.org>  Sat,  8 Mar 2003 17:28:59 +0100

eagle-adsl (1.0.3-3) unstable; urgency=low

  * Stole Debconf stuff and auto-reconnect daemon from Baptiste Carvello
    <baptiste13-debian@altern.org>.  Thanks to him, even if I'm not sure
    he's aware of this "theft" :-)

 -- Roland Mas <lolando@debian.org>  Fri,  7 Mar 2003 21:22:13 +0100

eagle-adsl (1.0.3-2) unstable; urgency=low

  * Removed changelog specific to the kernel-patch package.

 -- Roland Mas <lolando@debian.org>  Thu,  6 Mar 2003 22:45:14 +0100

eagle-adsl (1.0.3-1) unstable; urgency=low

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Thu,  6 Mar 2003 22:06:22 +0100

eagle-adsl (1.0.2-cc5-1) unstable; urgency=low

  * Initial Release.

 -- Roland Mas <lolando@debian.org>  Thu,  6 Mar 2003 21:38:26 +0100

